## org.eclipse.ocl.expressions.impl
Class OperationCallExpImpl<C,O>

    java.lang.Object
      org.eclipse.emf.common.notify.impl.BasicNotifierImpl
          org.eclipse.emf.ecore.impl.BasicEObjectImpl
              org.eclipse.emf.ecore.impl.EObjectImpl
                  org.eclipse.ocl.expressions.impl.OCLExpressionImpl<C>
                      org.eclipse.ocl.expressions.impl.CallExpImpl<C>
                          org.eclipse.ocl.expressions.impl.FeatureCallExpImpl<C>
                              org.eclipse.ocl.expressions.impl.OperationCallExpImpl<C,O>

All Implemented Interfaces:
  Notifier, EObject, InternalEObject, CallExp<C>, FeatureCallExp<C>, OCLExpression<C>, OperationCallExp<C,O>, ASTNode, CallingASTNode, TypedElement<C>, Visitable

    public class OperationCallExpImpl<C,O>

extends FeatureCallExpImpl<C>
implements OperationCallExp<C,O>

An implementation of the model object 'Operation Call Exp'.

The following features are implemented:

- `Argument`
- `Referred Operation`
- `Operation Code`

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`BasicEObjectImpl.EPropertiesHolder, BasicEObjectImpl.EPropertiesHolderBaseImpl, BasicEObjectImpl.EPropertiesHolderImpl`

Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`BasicNotifierImpl.EAdapterList<E extends Object & Adapter>`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject
`InternalEObject.EStore`

Field Summary
`protected EList<OCLExpression<C>>` `argument` The cached value of the '`Argument`' containment reference list
`protected static int` `OPERATION_CODE_EDEFAULT` The default value of the '`Operation Code`' attribute
`protected O` `referredOperation` The cached value of the '`Referred Operation`' reference

Fields inherited from class org.eclipse.ocl.expressions.impl.FeatureCallExpImpl
`MARKED_PRE_EDEFAULT, MARKED_PRE_EFLAG`

Fields inherited from class org.eclipse.ocl.expressions.impl.CallExpImpl
`PROPERTY_END_POSITION_EDEFAULT, PROPERTY_START_POSITION_EDEFAULT, propertyEndPosition, propertyStartPosition, source`

Fields inherited from class org.eclipse.ocl.expressions.impl.OCLExpressionImpl
`END_POSITION_EDEFAULT, endPosition, START_POSITION_EDEFAULT, startPosition`

Fields inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eContainer, eContainerFeatureID, EDELIVER, EDYNAMIC_CLASS, eFlags, ELAST_EOBJECT_FLAG, ELAST_NOTIFIER_FLAG, eProperties, EPROXY`

Fields inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`EVIRTUAL_GET, EVIRTUAL_IS_SET, EVIRTUAL_NO_VALUE, EVIRTUAL_SET, EVIRTUAL_UNSET`

Fields inherited from interface org.eclipse.emf.ecore.InternalEObject
`EOPPOSITE_FEATURE_BASE`

Constructor Summary
`protected` `OperationCallExpImpl()`

Method Summary

`

`<T,U extends Visitor<T,?,?,?,?,?,?,?,?,?>> T`

`

`accept(U v)`

`O` `basicGetReferredOperation()`
`boolean` `checkArgumentCount(DiagnosticChain diagnostics, Map<Object,Object> context)`
`boolean` `checkArgumentsConform(DiagnosticChain diagnostics, Map<Object,Object> context)`
`Object` `eGet(int featureID, boolean resolve, boolean coreType)`
`NotificationChain` `eInverseRemove(InternalEObject otherEnd, int featureID, NotificationChain msgs)`
`boolean` `eIsSet(int featureID)`
`void` `eSet(int featureID, Object newValue)`
`protected EClass` `eStaticClass()`
`void` `eUnset(int featureID)`
`EList<OCLExpression<C>>` `getArgument()`
`int` `getOperationCode()`
`O` `getReferredOperation()`
`void` `setOperationCode(int newOperationCode)`
`void` `setReferredOperation(O newReferredOperation)`

Methods inherited from class org.eclipse.ocl.expressions.impl.FeatureCallExpImpl
`isMarkedPre, setMarkedPre, toString`

Methods inherited from class org.eclipse.ocl.expressions.impl.CallExpImpl
`basicSetSource, eBaseStructuralFeatureID, eDerivedStructuralFeatureID, getPropertyEndPosition, getPropertyStartPosition, getSource, setPropertyEndPosition, setPropertyStartPosition, setSource`

Methods inherited from class org.eclipse.ocl.expressions.impl.OCLExpressionImpl
`getEndPosition, getName, getStartPosition, getType, setEndPosition, setName, setStartPosition, setType`

Methods inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eBasicAdapters, eBasicProperties, eBasicSetContainer, eClass, eContainerFeatureID, eDeliver, eInternalContainer, eIsProxy, eProperties, eSetClass, eSetDeliver, eSetProxyURI`

Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`eAddVirtualValue, eAllContents, eBasicRemoveFromContainer, eBasicRemoveFromContainerFeature, eBasicSetContainer, eComputeVirtualValuesCapacity, eContainer, eContainingFeature, eContainmentFeature, eContainmentFeature, eContains, eContents, eCrossReferences, eDerivedStructuralFeatureID, eDirectResource, eDynamicBasicRemoveFromContainer, eDynamicClass, eDynamicFeature, eDynamicFeatureID, eDynamicGet, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInverseRemove, eDynamicIsSet, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eHasSettings, eInternalResource, eInverseAdd, eInverseAdd, eInverseRemove, eIsSet, eObjectForURIFragmentSegment, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eProxyURI, eRemoveVirtualValue, eResolveProxy, eResource, eSet, eSetDirectResource, eSetResource, eSetStore, eSetting, eSettingDelegate, eSettings, eSetVirtualIndexBits, eSetVirtualValue, eSetVirtualValues, eStaticFeatureCount, eStore, eUnset, eURIFragmentSegment, eVirtualBitCount, eVirtualGet, eVirtualGet, eVirtualIndex, eVirtualIndexBits, eVirtualIsSet, eVirtualSet, eVirtualUnset, eVirtualValue, eVirtualValues`

Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`eNotificationRequired, eNotify`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.ocl.expressions.FeatureCallExp
`isMarkedPre, setMarkedPre`

Methods inherited from interface org.eclipse.ocl.expressions.CallExp
`getSource, setSource`

Methods inherited from interface org.eclipse.ocl.utilities.TypedElement
`getName, getType, setName, setType`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.ocl.utilities.ASTNode
`getEndPosition, getStartPosition, setEndPosition, setStartPosition`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.ocl.utilities.CallingASTNode
`getPropertyEndPosition, getPropertyStartPosition, setPropertyEndPosition, setPropertyStartPosition`

Methods inherited from interface org.eclipse.ocl.utilities.ASTNode
`getEndPosition, getStartPosition, setEndPosition, setStartPosition`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.emf.ecore.InternalEObject
`eNotificationRequired`

Field Detail

### argument

    protected EList<OCLExpression<C>> argument

  The cached value of the '`Argument`' containment reference list.

  See Also:
    `getArgument()`

### referredOperation

    protected O referredOperation

  The cached value of the '`Referred Operation`' reference.

  See Also:
    `getReferredOperation()`

### OPERATION_CODE_EDEFAULT

    protected static final int OPERATION_CODE_EDEFAULT

  The default value of the '`Operation Code`' attribute.

  See Also:
    `getOperationCode()`, Constant Field Values

Constructor Detail

### OperationCallExpImpl

    protected OperationCallExpImpl()

Method Detail

### eStaticClass

    protected EClass eStaticClass()

  Overrides:
    `eStaticClass` in class `FeatureCallExpImpl<C>`

### getArgument

    public EList<OCLExpression<C>> getArgument()

  Specified by:
    `getArgument` in interface `OperationCallExp<C,O>`
  Returns:
    the value of the 'Argument' containment reference list.
  See Also:
    `ExpressionsPackage.getOperationCallExp_Argument()`

### getReferredOperation

    public O getReferredOperation()

  Specified by:
    `getReferredOperation` in interface `OperationCallExp<C,O>`
  Returns:
    the value of the 'Referred Operation' reference.
  See Also:
    `OperationCallExp.setReferredOperation(Object)`, `ExpressionsPackage.getOperationCallExp_ReferredOperation()`

### basicGetReferredOperation

    public O basicGetReferredOperation()

### setReferredOperation

    public void setReferredOperation(O newReferredOperation)

  Specified by:
    `setReferredOperation` in interface `OperationCallExp<C,O>`
  Parameters:
    `newReferredOperation` - the new value of the 'Referred Operation' reference.
  See Also:
    `OperationCallExp.getReferredOperation()`

### getOperationCode

    public int getOperationCode()

  Specified by:
    `getOperationCode` in interface `OperationCallExp<C,O>`
  Returns:
    the value of the 'Operation Code' attribute.
  See Also:
    `OperationCallExp.setOperationCode(int)`, `ExpressionsPackage.getOperationCallExp_OperationCode()`

### setOperationCode

    public void setOperationCode(int newOperationCode)

  Specified by:
    `setOperationCode` in interface `OperationCallExp<C,O>`
  Parameters:
    `newOperationCode` - the new value of the 'Operation Code' attribute.
  See Also:
    `OperationCallExp.getOperationCode()`

### checkArgumentsConform

    public boolean checkArgumentsConform(DiagnosticChain diagnostics,
                                         Map<Object,Object> context)

  Specified by:
    `checkArgumentsConform` in interface `OperationCallExp<C,O>`
  Parameters:
    `diagnostics` - The chain of diagnostics to which problems are to be appended.
    `context` - The cache of context-specific information.

### checkArgumentCount

    public boolean checkArgumentCount(DiagnosticChain diagnostics,
                                      Map<Object,Object> context)

  Specified by:
    `checkArgumentCount` in interface `OperationCallExp<C,O>`
  Parameters:
    `diagnostics` - The chain of diagnostics to which problems are to be appended.
    `context` - The cache of context-specific information.

### eInverseRemove

    public NotificationChain eInverseRemove(InternalEObject otherEnd,
                                            int featureID,
                                            NotificationChain msgs)

  Overrides:
    `eInverseRemove` in class `CallExpImpl<C>`

### eGet

    public Object eGet(int featureID,
                       boolean resolve,
                       boolean coreType)

  Specified by:
    `eGet` in interface `InternalEObject`
  Overrides:
    `eGet` in class `FeatureCallExpImpl<C>`

### eSet

    public void eSet(int featureID,
                     Object newValue)

  Specified by:
    `eSet` in interface `InternalEObject`
  Overrides:
    `eSet` in class `FeatureCallExpImpl<C>`

### eUnset

    public void eUnset(int featureID)

  Specified by:
    `eUnset` in interface `InternalEObject`
  Overrides:
    `eUnset` in class `FeatureCallExpImpl<C>`

### eIsSet

    public boolean eIsSet(int featureID)

  Specified by:
    `eIsSet` in interface `InternalEObject`
  Overrides:
    `eIsSet` in class `FeatureCallExpImpl<C>`

### accept

    public <T,U extends Visitor<T,?,?,?,?,?,?,?,?,?>> T accept(U v)

  Description copied from class: `OCLExpressionImpl`

  Specified by:
    `accept` in interface `Visitable`
  Overrides:
    `accept` in class `OCLExpressionImpl<C>`

Copyright 2002, 2007 IBM Corporation and others. All Rights Reserved.